cd $(dirname $0)

rm -rf build
mkdir build
cd build
cmake -DCMAKE_C_COMPILER_LAUNCHER=ccache -DCMAKE_CXX_COMPILER_LAUNCHER=ccache -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=/usr -DKICAD_SCRIPTING_PYTHON3=on -DKICAD_SCRIPTING_WXPYTHON_PHOENIX=on ../
make -j$(nproc) --output-sync

make install DESTDIR=AppDir

cp -r /usr/lib/python2.7/dist-packages/wx-3.0-gtk2 AppDir/usr/lib/python2.7/dist-packages/
cp /usr/lib/python2.7/dist-packages/wxPython_common-3.0.2.0.egg-info AppDir/usr/lib/python2.7/dist-packages/
mkdir -p AppDir/usr/lib/wx/python/
cp /usr/lib/wx/python/wx3.0.pth AppDir/usr/lib/wx/python/
cp -r /usr/share/wx-3.0-gtk/ AppDir/usr/share/

mv AppDir/usr/bin/kicad AppDir/usr/bin/kicad_bin

echo -ne '#!/bin/sh\nHERE="$(dirname "$(readlink -f "${0}")")/../../"\nexport PYTHON_PATH="${HERE}"/usr/lib/python2.7:${PYTHON_PATH}\nexec "${HERE}/usr/bin/kicad_bin" "$@"\n' > AppDir/usr/bin/kicad

chmod +x AppDir/usr/bin/kicad

LD_LIBRARY_PATH=$(pwd)/AppDir/usr/lib/x86_64-linux-gnu/ linuxdeploy --appdir AppDir -d $(pwd)/AppDir/usr/share/applications/kicad.desktop --output appimage
mv KiCad*.AppImage ../KiCad-$(git describe).AppImage
mv KiCad*.AppImage.zsync ../KiCad-$(git describe).AppImage.zsync
